var __API__ = 'http://v2.jinrijianjiao.com/';
// __API__    = 'http://192.168.0.8/JianJiao/';
// 定义远程接口文件地址
function getUrlNock(){
    return __API__;
}

/**
 * POST数据
 * @param {Object} url 地址
 * @param {Object} data 数据 {values:{user_id:1,user_hash:2}}
 * @param {Object} callback 回调
 * @param {Object} progress 显示加载信息
 */
function post(url,data,callback,progress){
    // console.log(__API__+url);
    if(progress){ api.showProgress(); }
    api.ajax({
        url: __API__+url,
        method: 'post',
        dataType:'JSON',
        data: data,
    },function(ret,err){
        if(progress){ api.hideProgress(); }
        callback(ret);
    });
}
/**
 * GET数据
 * @param {Object} url 地址
 * @param {Object} callback 回调
 * @param {Object} progress 显示加载信息
 */
function get(url,callback,progress){
    if(progress){ api.showProgress(); }
    api.ajax({
        url: __API__+url,
        method: 'get',
        dataType: 'JSON',
        cache: false,
    },function(ret,err){
        if(progress){ api.hideProgress(); }
        callback(ret);
    });
}


// 获取AppId
function getAppId(){
    return 'A6923683949517';
}
// 获取AppKey
function getAppkey(){
    return 'E8252F2F-2EBD-DE7B-F339-5CDD7BB6B6E9';
}
// 获取加密值  需要引用 sha1.js
function getAppKeyInSha1(){
    var now = Date.now();
    var AppId  = getAppId();
    var AppKey = getAppkey();
    var AppKeyInSha1 = SHA1(AppId+"UZ"+AppKey+"UZ"+now)+"."+now;
    return AppKeyInSha1;
}

// get 获取远程地址数据
function getData(url,callBack){
    api.showProgress();
    api.ajax({
        url: getUrlNock()+url,
        method: 'get',
        timeout: 10,
        dataType:'JSON',
    },function(ret,err){
        // if( err.code == 1 ){
        //     api.toast({msg:'网络请求超时，请稍后重试', duration:2000, location:"middle"});
        // }
        callBack(ret);
    });
}

function getList(url,callBack){
    getData(url,callBack);
}
// 下拉刷新数据
function setRefreshHeader() {
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
// 页面跳转
function openHtml(name,html,pageParam){
    if(!pageParam){ pageParam = ''; }
    api.openWin({
        name:name,
        url:html,
        reload:true,
        pageParam:pageParam,
        bgColor:'#fff',
        animation:{type:"push",subType:"from_right",duration:400}
    })
//  api.openFrame({
//      name:html,
//      url:html,
//      rect: {
//          x: 0,
//          y: 0,
//          w: 'auto',
//          h: 'auto'
//      },
//      bounces:false,
//      delay: 200,
//      pageParam:pageParam,
//      animation:{type:"push",subType:"from_right",duration:400}
//  });
}

function openApp(uri){
    scheme = uri;
    if(scheme.indexOf("taobao") > 0 ){
        scheme = scheme.replace(/https:/,'taobao:');
        scheme = scheme.replace(/http:/,'taobao:');
        package_name = 'com.taobao.taobao';
        bundle_name = 'taobao://';
    } else if(scheme.indexOf("tmall") > 0 ) {
        scheme = scheme.replace(/https:/,'tmall:');
        scheme = scheme.replace(/http:/,'tmall:');
        package_name = 'com.tmall.wireless';
        bundle_name = 'tmall://';
    }
    if( api.systemType == "ios" ){
        // IOS
        api.appInstalled({appBundle:bundle_name},function(ret, err) {
            if (ret.installed) {
                api.openApp({iosUrl:scheme},function(ret,err){  });
            } else {
                api.openApp({iosUrl:uri},function(ret,err){  });
            }
        });
    } else {
        // 安卓
        api.appInstalled({appBundle:package_name},function(ret, err) {
            if (ret.installed) {
                api.openApp({uri:scheme},function(ret,err){  });
            } else {
                api.openApp({uri:uri},function(ret,err){  });
            }
        });
    }
}

function openUrl(name,urls){
    openApp(urls);
}
// 软件内打开连接
function openLocal(name,url){
    var transData = {title:name, url:url};
    api.openWin({name:'123', url:'win-openurl.html', pageParam:transData})
}
// 提交数据 用于 ：注册 登录 修改等操作
function postData(url,data){
    api.ajax({
        url: getUrlNock()+url,
        method: 'post',
        dataType:'JSON',
        method: 'post',
        timeout:60000,
        data: data,
    },function(ret,err){
        if (ret.ret == 1) {
            api.alert({
                msg:'注册成功,请到个人中心完善个人资料',
                buttons: ['确定']
            }, function (rett, err) {
                $api.setStorage('userId',ret.userid);
                $api.setStorage('userAuth',ret.auth);
                if (rett.buttonIndex == 1) {
                    api.execScript({name:'index',script:'funIniGroup()'});
                    api.sendEvent({name:'reload_framelogin',extra:{key:1}});
                    api.closeWin();
                }
            });
        }
        if(ret.login == 1){
            api.alert({
                msg:'登录成功',
                buttons: ['确定']
            }, function (rett, err) {
                $api.setStorage('userId',ret.userid);
                $api.setStorage('userAuth',ret.auth);
                if (rett.buttonIndex == 1) {
                    api.execScript({
                        name:'index',
                        script:'funIniGroup()'
                    });
                    window.location.href = 'frame3.html';
                }
            });
        }
        if(ret.apply == 1){
            api.alert({
                msg:'申请成功，请等待审核通过',
                buttons: ['确定']
            }, function (rett, err) {
                if (rett.buttonIndex == 1) {
                    api.closeWin();
                }
            });
        }
        if(ret.change == 1){
            api.alert({
                msg:'密码修改成功',
                buttons: ['确定']
            }, function (rett, err) {
                if (rett.buttonIndex == 1) {
                    api.closeWin();
                }
            });
        }
        if(ret.delete == 1){
            api.alert({
                msg:'删除成功',
                buttons: ['确定']
            }, function (rett, err) {
                if (rett.buttonIndex == 1) {
                    location.reload();
                }
            });
        }
        if(ret.editdatum == 1){
            api.alert({
                msg:'修改成功',
                buttons: ['确定']
            }, function (rett, err) {
                if (rett.buttonIndex == 1) {
                    location.reload();
                }
            });
        }
        if(ret.createGoods == 1){
            api.alert({
                msg:'商品添加成功，请等待审核通过',
                buttons: ['确定']
            }, function (rett, err) {
                if (rett.buttonIndex == 1) {
                    // location.reload();
                    api.closeWin();
                }
            });
        }
        if(ret.createActivity == 1){
            api.alert({
                msg:'活动添加成功，请等待审核通过',
                buttons: ['确定']
            }, function (rett, err) {
                if (rett.buttonIndex == 1) {
                    // location.reload();
                    api.closeWin();
                }
            });
        }
        if(ret.questionSubmit == 1){
            api.alert({
                msg:'问题提交成功',
                buttons: ['确定']
            }, function (rett, err) {
                if (rett.buttonIndex == 1) {
                    // location.reload();
                    api.closeWin();
                }
            });
        }
        if(ret.do == 1){
            if(!ret.state){
                api.alert({
                    msg:'操作成功',
                    buttons: ['确定']
                }, function (rett, err) {
                    if (rett.buttonIndex == 1 ) {
                        location.reload();
                        // api.closeWin();
                    }
                });
            }
            if(ret.state){
                $("#"+ret.id).html(ret.info);
            }

        }
        if(ret.share == 1){
            api.alert({
                msg:'分享成功，请等待审核通过',
                buttons: ['确定']
            }, function (rett, err) {
                if (rett.buttonIndex == 1) {
                    api.closeWin();
                }
            });
        }
        if(ret.comment == 1){
            api.alert({
                msg:'评论成功',
                buttons: ['确定']
            }, function (rett, err) {
                if (rett.buttonIndex == 1) {
                    location.reload();
                }
            });
        }
        if(ret.like_state == 1){
            api.alert({
                msg:'操作成功',
                buttons: ['确定']
            }, function (rett, err) {
                if (rett.buttonIndex == 1) {
                    // $api.setStorage('like_state',1);
                    location.reload();
                }
            });
        }
        if (ret.ret == 2) {
            api.toast({msg:ret.err,duration:2000,location: "botoom"})
        }
    });
}
// 账号退出
function loginOut(){
    $api.rmStorage("userId");
    $api.rmStorage("userAuth");
    api.alert({msg:'账号退出成功',buttons: ['确定']},function(ret,err){
        if(ret.buttonIndex == 1){
            window.location.href="frame-login.html";
        }
    });
    // api.toast({msg:'账号退出成功',duration:2000,location:"botoom"});
    // setTimeout('window.location.href="frame-login.html"',1000);
}
function checkUserId(name,html){
    if($api.getStorage("userId")){
        openHtml(name,html);
    }
}
// 获取个人信息
function getUserInfo(url,callback){
    var user_id   = $api.getStorage("userId");
    var user_auth = $api.getStorage("userAuth");
    data = {values:{'user_id':user_id,'user_auth':user_auth}};
    if(user_id != '' && user_auth != ''){
        api.ajax({
            url: getUrlNock()+url,
            method: 'post',
            dataType:'JSON',
            method: 'post',
            timeout:60000,
            data: data,
        },function(ret,err){
            if(ret.ret != 2){
                callback(ret);
            } else {
                api.toast({msg:ret.err,duration:2000, location: "botoom"})
                loginOut();
            }
        });
    }
}
function getInfoList(url,callback){
    getUserInfo(url,callback)
}
// 时间戳转时间
function getLocalTime(nS) {
    return new Date(parseInt(nS) * 1000).toLocaleString().replace(/:\d{1,2}$/,' ');
}

function html_decode(s){
    if (s.length == 0) return "";
    s = s.replace(/&lt;/g, "<");
    s = s.replace(/&gt;/g, ">");
    return s;
}


var zShare = {};
zShare.dialog = function(title,text,url,img){
    var shareItems = [
            {text:'微信好友',icon:'widget://image/wxsession.png'},
            {text:'微信朋友圈',icon:'widget://image/wxtimeline.png'},
            {text:'新浪微博',icon:'widget://image/sinaWb.png'},
            {text:'QQ',icon:'widget://image/qq.png'},
            {text:'QQ空间',icon:'widget://image/qZone.png'}
        ]
    var shareColumn = 5;
    var dialogBox = api.require('dialogBox');
    dialogBox.actionMenu ({
        rect:{h:150},
        texts:{cancel:'取消'},
        items:shareItems,
        styles:{
            bg:'#FFF',
            column:shareColumn,
            itemText: {color:'#000',size: 12,marginT:8},
            itemIcon: {size:50},
            cancel: {color:'#000',h: 40,size: 14}
        }
    }, function(ret){
        if(ret.eventType=='cancel'){
            dialogBox.close({dialogName:'actionMenu'});
        } else if(ret.eventType=='click'){
            if(ret.index==0){
                zShare.wxNews('session',title,text,url,img);
            } else if(ret.index==1){
                zShare.wxNews('timeline',title,text,url,img);
            } else if(ret.index==2){
                zShare.weiboNews('sinaWb',title,text,url,img);
            } else if(ret.index==3){
                zShare.qqNews('QFriend',title,text,url,img);
            } else if(ret.index==4){
                zShare.qqNews('QZone',title,text,url,img);
            }
        }
    });
}
zShare.wxNews = function(tar,title,text,url,img){
    filename = (new Date()).valueOf()+'.'+zShare.ext(img);
    api.download({
        url: img,
        savePath: 'fs://'+filename,
        report: false,
        cache: true,
        allowResume: true
    }, function(ret, err) {
        zShare.compress('fs://'+filename,0.5,0.5,zShare.ext(img),function(thumb){
            var wx = api.require('wx');
            wx.isInstalled(function(ret){
                if(ret.installed) {
                    api.toast({msg:'分享中，请稍候',duration:2000,location:"middle"});
                } else {
                    api.toast({msg:'没有安装微信，无法进行分享',duration:2000,location:"middle"});
                }
            });
            wx.shareWebpage({
                apiKey: '',
                scene: tar,
                title: title,
                description: text,
                thumb: thumb,
                contentUrl: url
            }, function(ret, err) {
                if (ret.status) {
                    api.toast({msg: '分享成功',duration:2000, location: "middle"});
                }
            });
        });
    });
}
zShare.qqNews = function(tar,title,text,url,img){
    var qq = api.require('QQPlus');
    qq.installed(function(ret){
        if(ret.status) {
            api.toast({msg:'分享中，请稍候',duration:2000,location:"middle"});
        } else {
            api.toast({msg:'没有安装QQ，无法进行分享',duration:2000,location:"middle"});
        }
    });
    qq.shareNews({
        url: url,
        title: title,
        description: text,
        imgUrl: img,
        type: tar
    },function(ret,err){
        if (ret.status){
            api.toast({msg: '分享成功',duration:2000, location: "botoom"});
        }
    });
}
zShare.weiboNews = function(tar,title,text,url,img){
    filename = (new Date()).valueOf()+'.'+zShare.ext(img);
    api.download({
        url: img,
        savePath: 'fs://'+filename,
        report: false,
        cache: true,
        allowResume: true
    }, function(ret, err) {
        var weibo = api.require('weibo');
        weibo.shareImage({
            text: title+text+url,
            imageUrl: 'fs://'+filename
        }, function(ret, err) {
            if (ret.status) {
                api.toast({msg:'分享成功',duration:2000,location:"middle"});
            }
        });
//      zShare.compress('fs://'+filename,0.5,0.5,zShare.ext(img),function(thumb){
//            var weibo = api.require('weibo');
//            weibo.isInstalled(function(ret){
//                if(ret.status) {
//                    api.toast({msg:'分享中，请稍候',duration:2000,location:"middle"});
//                } else {
//                    api.toast({msg:'没有安装新浪微博，无法进行分享',duration:2000,location:"middle"});
//                }
//            });
//            weibo.shareWebPage({
//                text: title,
//                title: text,
//                description: text,
//                thumb: thumb,
//                contentUrl: url
//            }, function(ret, err) {
//                if (ret.status){
//                    api.toast({msg:'分享成功',duration:2000,location:"middle"});
//                }
//            });
//      });
    });
}
/**
 * 图片压缩
 */
zShare.compress = function(imgsrc,quality,scale,ext,callback){
    imageFilter  = api.require("imageFilter");
    var savePath = api.cacheDir+"/"+(new Date()).valueOf()+"/";
    var savename = (new Date()).valueOf()+"."+ext;
    imageFilter.compress({
        img:imgsrc,
        quality:quality,
        scale:quality,
        save:{album:false, imgPath:savePath, imgName:savename}
    },function(ret,err){
        if(ret){
            callback(savePath+savename);
        } else {
            alert(JSON.stringify(err));
        }
    });
}

zShare.ext = function(fileName) {
    return fileName.substring(fileName.lastIndexOf('.') + 1);
}
/**
 * 远程资源文件路径转换
 */
function upath(url){
    if(url && url.indexOf('http') < 0){
        return __API__+'Uploads/'+url;
    } else {
        return url;
    }
}

/**
 * 数据调试
 * @param {Object} data
 */
function dump(data){
    if(typeof data == 'object'){
        console.log( JSON.stringify(data) );
        //api.toast({msg:JSON.stringify(data), duration:2000, location: "botoom"})
    } else {
        console.log( data );
        //api.toast({msg:data, duration:2000, location: "botoom"})
    }
}


function runTop(){
    document.body.scrollTop = document.documentElement.scrollTop = 0;
    //设置定时器
    // Time1 = setInterval(function(){
    //     var osTop = document.body.scrollTop||document.documentElement.scrollTop;
    //     var speed = Math.ceil(osTop/2);
    //     document.body.scrollTop = document.documentElement.scrollTop = osTop - speed;
    //     if(osTop <= 0){
    //         clearInterval(Time1);
    //     }
    //     isTop = true ;
    // },100)
}
